Bug 988449

Summary: geoqo-1.11-7.fc20 fails tests with perl 5.18
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: geoqoAssignee: Orphan Owner <extras-orphan>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: pbrobinson, wjhns174
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5653329
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-03 09:02:38 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Petr Pisar 2013-07-25 11:43:26 EDT
geoqo cannot be rebuild against perl 5.18 because some tests fail randomly:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
DBD::SQLite2::st execute failed: no such table: parameters(1) at dbdimp.c line 412 at /builddir/build/BUILD/geoqo-1.11/blib/lib/GeoDB/DB.pm line 329.
t/000upgrade.t ........ ok
t/00db.t .............. ok
t/011fileparsing.t .... ok
t/012macromatch.t ..... ok
Argument "AZ_OK" isn't numeric in numeric ne (!=) at /builddir/build/BUILD/geoqo-1.11/blib/lib/GeoDB/Import/Zip.pm line 32.
Use of uninitialized value $importspecs in concatenation (.) or string at /builddir/build/BUILD/geoqo-1.11/blib/lib/GeoDB/Utils.pm line 488.
t/05import.t .......... ok
t/10search.t .......... ok
#   Failed test 'search of name=unusual'
#   at t/15searchlogic.t line 93.
# RESULT: '(((groundspeak_namelike?)or(groundspeak_owner_namelike?)or(restaurant_namelike?)or(waymark_owner_namelike?)))' didn't match SHOULDBE: '(((waymark_owner_namelike?)or(groundspeak_namelike?)or(groundspeak_owner_namelike?)or(restaurant_namelike?)))' at t/15searchlogic.t:30
# Looks like you failed 1 test of 18.
t/15searchlogic.t ..... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/18 subtests 
t/20set.t ............. ok
t/30attributes.t ...... ok
t/50script.t .......... ok
t/60tag.t ............. ok
t/80specialmodules.t .. ok
#   Failed test 'diff of export and import no. 2 results in no differences'
#   at t/90export.t line 43.
#   Failed test 'file geodbtestoutgpx3.gpx contains proper data'
#   at t/90export.t line 55.
#   Failed test 'file geodbtestoutgpx4.gpx contains proper data'
#   at t/90export.t line 64.
#   Failed test 'file geodbtestoutgpx5.gpx contains proper data'
#   at t/90export.t line 72.
#   Failed test 'file geodbtestoutgpx5.gpx contains proper data in mem test'
#   at t/90export.t line 81.
#   Failed test 'file geodbtestoutgpx6.gpx contains proper data in mem test'
#   at t/90export.t line 90.
# Looks like you failed 6 tests of 31.
t/90export.t .......... 
Dubious, test returned 6 (wstat 1536, 0x600)
Failed 6/31 subtests 
t/95delete.t .......... ok
t/99cleanup.t ......... ok

This is caused by randomized hash keys in Perl 5.18 probably. You see the t/10search.t result words are reordered.
Comment 1 Fedora End Of Life 2013-09-16 10:50:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Fedora End Of Life 2015-05-29 05:13:14 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora Admin XMLRPC Client 2015-07-03 09:01:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.